package com.xintong.visualinspection.service;

import java.util.List;

import com.xintong.visualinspection.bean.Constant;
import com.xintong.visualinspection.bean.TeamClass;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface TeamClassService {
    public List<TeamClass> getAll();
    public Constant getById(Long id);
    public List<TeamClass> getByFlag();
    public Constant getByFlagAndValue(String flag, int value);
    public void insert(TeamClass teamClass);
    public void update(TeamClass teamClass);
    public void delete(Long id);
}
